Package: aroma.light
====================

Version: 3.3.2 [2016-09-16]
o BUG FIX: robustSmoothSpline() gave an error since R-devel (>= 3.4.0 r70682) (Issue #9)
o Using NA_real_ (not just NA) everywhere applicable.


Version: 3.3.1 [2016-08-10]
CLEANUP: Using seq_len() and seq_along() everywhere (Issue #8)


Version: 3.3.0 [2016-05-03]
o The version number was bumped for the Bioconductor devel version,
  which is now BioC v3.4 for R (>= 3.3.0).


Version: 3.2.0 [2016-05-03]
o The version number was bumped for the Bioconductor release version,
  which is now BioC v3.3 for R (>= 3.3.0).


Version: 3.1.1 [2016-01-06]
o Package requires R (>= 2.15.2).
o CLEANUP: robustSmoothSpline() no longer generates messages that
  ".nknots.smspl() is now exported; use it instead of n.knots()"
  for R (>= 3.1.1).


Version: 3.1.0 [2015-10-23]
o The version number was bumped for the Bioconductor devel version,
  which is now BioC v3.3 for R (>= 3.3.0).


Version: 3.0.0 [2015-10-13]
o The version number was bumped for the Bioconductor release version,
  which is now BioC v3.2 for R (>= 3.2.2).


Version: 2.99.0 [2015-10-06]
o No changes.


Version: 2.9.0 [2015-09-17]
o Argument 'preserveScale' for normalizeTumorBoost() now defaults
  to FALSE.  Since 1.33.3 (2014-04-30) it had no default and
  prior to that it was TRUE.


Version: 2.5.3 [2015-09-13]
o ROBUSTNESS: Explicitly importing core R functions.
o BUG FIX: rowAverages() and normalizeAverages() would give an error
  if some of the argument default functions are overridden by
  non-functions of the same name in the calling environment.


Version: 2.5.2 [2015-06-16]
o Relaxed package test for backtransformPrincipalCurve().


Version: 2.5.1 [2015-05-24]
o CLEANUP: Removed obsolete wpca(..., method="dsvdc"); was only
  needed for backward compatibility with R (< 1.7.0).
o Bumped package dependencies.


Version: 2.5.0 [2015-04-16]
o The version number was bumped for the Bioconductor devel version,
  which is now BioC v3.2 for R (>= 3.3.0).


Version: 2.4.0 [2015-04-16]
o The version number was bumped for the Bioconductor release version,
  which is now BioC v3.1 for R (>= 3.2.0).


Version: 2.3.3 [2015-02-18]
o If a value of argument 'xlim' or 'ylim' for plotDensity() is NA,
  then it defaults to the corresponding extreme value of the data,
  e.g. plotDensity(x, xlim=c(0,NA)).


Version: 2.3.2 [2015-02-17]
o ROBUSTNESS: Added package tests. Code coverage is 76%.
o CLEANUP: Using requestNamespace() instead of request().


Version: 2.3.1 [2014-12-08]
o Same updates as in 2.2.1.


Version: 2.3.0 [2014-10-13]
o The version number was bumped for the Bioconductor devel version,
  which is now BioC v3.1 for R (>= 3.2.0).


Version: 2.2.1 [2014-12-08]
o Minor code cleanup.


Version: 2.2.0 [2014-10-13]
o The version number was bumped for the Bioconductor release version,
  which is now BioC v3.0 for R (>= 3.1.1).


Version: 2.1.2 [2014-09-23]
o Minor tweaks due to the move to GitHub.


Version: 2.1.1 [2014-09-16]
o IMPORTANT/CLEANUP: The matrixStats package is no longer attached
  with this package.  In other words, you now might have to add
  library('matrixStats') to your scripts.
o CLEANUP: Now importing R.utils (instead of only suggesting it).
o Fixed some new R CMD check NOTEs.


Version: 2.1.0 [2014-04-11]
o The version number was bumped for the Bioconductor devel version,
  which is now BioC v2.15 for R (>= 3.1.0).


Version: 2.0.0 [2014-04-11]
o The version number was bumped for the Bioconductor release version,
  which is now BioC v2.14 for R (>= 3.1.0).


Version: 1.99.3 [2014-03-31]
o Bumped the version such that the next release will be 2.0.0.


Version: 1.33.3 [2014-03-30]
o Added pairedAlleleSpecificCopyNumbers().
o Argument 'preserveScale' for normalizeTumorBoost() is now required.
  The goal with this is to in a future version migrate to use
  preserveScale=FALSE as the default (was preserveScale=TRUE) in order
  to avoid introducing a a global bias in the tumor allele B fraction
  of heterozygous SNPs.  The examples use preserveScale=FALSE now.


Version: 1.33.2 [2014-03-25]
o Now plotDensity() supports weights via argument 'W'.


Version: 1.33.1 [2014-03-25]
o Now plotDensity() also supports density() objects.
o CLEANUP: robustSmoothSpline() no longer uses DUP=FALSE in
  an internal .Fortran() call.
o Bumped up package dependencies.


Version: 1.33.0 [2013-10-14]
o The version number was bumped for the Bioc devel version.


Version: 1.32.0 [2012-10-14]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.13 for R (>= 3.0.0).


Version: 1.31.10 [2013-10-08]
o Added averageQuantile() for matrices in addition to lists.
o SPEEDUP: Now normalizeQuantileSpline(..., sortTarget=TRUE) sorts the
  target only once for lists of vectors just as done for matrices.
o DOCUMENTATION: Merged the documentation for normalizeQuantileSpline()
  for all data types into one help page.  Same for plotXYCurve().
o BUG FIX: Argument 'lwd' of plotXYCurve(X, ...) was ignored if 'X'
  was a matrix.
o Bumped up package dependencies.


Version: 1.31.9 [2013-10-07]
o Now library(aroma.light, quietly=TRUE) attaches the package
  completely silently without any messages.
o Now the 'aroma.light' Package object is also available when the
  package is only loaded (but not attached).
o DOCUMENTATION: Merged the documentation for normalizeQuantileRank()
  for numeric vectors and lists.
o DOCUMENTATION: Now documention S3 methods under their corresponding
  generic function.


Version: 1.31.8 [2013-10-02]
o DOCUMENTATION: More generic functions are now "aliased" under
  relevant corresponding methods.


Version: 1.31.7 [2013-09-27]
o SPEEDUP: Now all package functions utilizes 'matrixStats' functions
  where possible, e.g. anyMissing(), colMins(), and rowWeightedMedians().
o Bumped up package dependencies.


Version: 1.31.6 [2013-09-25]
o CLEANUP: Package no longer use a fallback attachment of the
  'R.oo' package upon attachment.


Version: 1.31.5 [2013-09-23]
o ROBUSTNESS: Now properly declaring all S3 methods in the NAMESPACE file.
o SPEEDUP/CLEANUP: normalizeTumorBoost() now uses which() instead of
  whichVector() of 'R.utils'.  Before R (< 2.11.0), which() used to be
  10x slower than whichVector(), but now it's 3x faster.
o CLEANUP: Now only using 'Authors@R' in DESCRIPTION, which is possible
  since R (>= 2.14.0).  Hence the new requirement on the version of R.
o Bumped up package dependencies.


Version: 1.31.4 [2013-09-10]
o CLEANUP: Now package explicitly imports what it needs from matrixStats.
o Bumped up package dependencies.


Version: 1.31.3 [2013-05-25]
o SPEEDUP: Removed all remaining gc() calls, which were in
  normalizeQuantileSpline().
o SPEEDUP: Replaced all rm() calls with NULL assignments.
o Updated the package dependencies.


Version: 1.31.2 [2013-05-20]
o Same updates as in v1.30.2.


Version: 1.31.1 [2011-04-18]
o Same updates as in v1.30.1.


Version: 1.31.0 [2013-04-03]
o The version number was bumped for the Bioc devel version.


Version: 1.30.5 [2013-09-25]
o Backport from v1.31.5: Declaring all S3 methods in NAMESPACE.
o Backport from v1.31.5: normalizeTumorBoost() now uses which(),
  which also removes one dependency on 'R.utils'.


Version: 1.30.4 [2013-09-25]
o Backport from v1.31.4: Now package explicitly imports what it
  needs from matrixStats.


Version: 1.30.3 [2013-09-25]
o Backport from v1.31.3: Removal of all gc() calls and removal of
  variables is now faster.
o Removed one stray str() debug output in robustSmoothSpline().


Version: 1.30.2 [2013-05-20]
o CRAN POLICY: Now all Rd \usage{} lines are at most 90 characters long.


Version: 1.30.1 [2013-04-18]
o Now backtransformPrincipalCurve() preserves dimension names.
o BUG FIX: backtransformPrincipalCurve() gave an error if the
  pricipal curve was fitted using data with missing values.
o BUG FIX: fitPrincipalCurve() would not preserve dimension
  names if data contain missing values.


Version: 1.30.0 [2012-04-03]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.12 for R (>= 3.0.0).


Version: 1.29.0 [2012-10-01]
o The version number was bumped for the Bioc devel version.


Version: 1.28.0 [2012-10-01]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.11 for R (>= 2.15.1).


Version: 1.27.1 [2012-09-12]
o ROBUSTNESS: Replaced an .Internal(psort(...)) call  in
  medianPolish() with a call to matrixStats:::.psortKM().


Version: 1.27.0 [2012-08-30]
o CLEANUP: Removed weightedMedian(), which has been moved
  to the matrixStats package.
o BACKWARD COMPATIBILITY: Now package depends on the
  matrixStats (>= 0.5.2) package, so that weightedMedian()
  is still available when loading this package.  In future
  releases, matrixStats will be downgraded to only be a
  suggested package.


Version: 1.26.1 [2012-08-30]
o BUG FIX: robustSmoothSpline() would not work with most
  recent R devel versions.
o Updated the package dependencies.


Version: 1.26.0 [2012-08-19]
o Changed the license of aroma.light to GPL (>= 2) from
  LGPL (>= 2), because some of the implementation was
  adopted from GPL (>= 2) code, i.e. robustSmoothSpline()
  uses code from stats::smooth.spline().
o R CMD check no longer warns about some examples depending
  on the R.basic package.


Version: 1.25.4 [2012-08-19]
o WORKAROUND: Now robustSmoothSpline() robustly locates the
  proper native R fit function for smooth splines, which vary
  with different releases of R.


Version: 1.25.3 [2012-04-16]
o Package no longer depends on R.methodsS3, only imports.


Version: 1.25.2 [2012-04-16]
o 'R CMD check' no longer complaints about .Internal() calls.


Version: 1.25.1 [2012-04-16]
o Added support for fitNaiveGenotypes(..., flavor="fixed").
o GENERALIZATION: Now fitNaiveGenotypes() returns also 'flavor' and
  'tau'.  The latter are the genotype threshholds used by the caller.
o CLEANUP: Dropped argument 'flavor' of callNaiveGenotypes(); it
  is instead passed to fitNaiveGenotypes() via '...'.


Version: 1.25.0 [2012-03-30]
o The version number was bumped for the Bioconductor devel version.


Version: 1.24.0 [2012-03-30]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.10 for R (>= 2.15.0).


Version: 1.23.0 [2011-10-31]
o The version number was bumped for the Bioconductor devel version.


Version: 1.22.0 [2011-10-31]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.9 for R (>= 2.14.0).


Version: 1.21.2 [2011-10-10]
o Updated robustSmoothSpline() such that it works with the new
  "uniqueness" scheme of smooth.spline() in R v2.14.0 and newer.
  It is tricky, because robustSmoothSpline() is a reiterative
  algorithm which requires that the choosen "unique" x:s does
  not change in each iteration.  Previously, 'signif(x, 6)' was
  used to identify unique x:s, which gives the same set of values
  when called twice, whereas this is not true for the new choice
  with 'round((x - mean(x))/tol)'.


Version: 1.21.1 [2011-06-26]
o Added argument 'aspectRatio' to plotMvsA().  It can be used to adjust
  the range of the 'Mlim' argument relative to the 'Alim' argument.


Version: 1.21.0 [2011-04-13]
o The version number was bumped for the Bioconductor devel version.


Version: 1.20.0 [2010-04-13]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.8 for R (>= 2.13.0).


Version: 1.19.6 [2011-04-12]
o CLEANUP: Removed internal patch of principal.curve().  If an older
  version than princurve v1.1-10 is used, an informative error is
  thrown requesting an update.  The internal patch is part of the
  offical princurve v1.1-10 release (since 2009-10-04).
o Now all methods allocate objects with NAs of the appropriate mode.
o KNOWN ISSUES: Recent updates to smooth.spline() in R v2.14.0
  causes robustSmoothSpline() to break in some cases.


Version: 1.19.5 [2011-04-08]
o Now weightedMedian() returns NA:s of the same mode as argument 'x'.


Version: 1.19.4 [2011-03-03]
o Same updates as in v1.18.4.


Version: 1.19.3 [2011-02-05]
o Same updates as in v1.18.3.


Version: 1.19.2 [2010-10-22]
o Same updates as in v1.18.2.


Version: 1.19.1 [2010-10-18]
o Same updates as in v1.18.1.


Version: 1.19.0 [2010-10-18]
o The version number was bumped for the Bioconductor devel version.


Version: 1.18.4 [2011-03-03]
o BUG FIX: findPeaksAndValleys(x, to) were 'x' is numeric would use
  partial match and interpret 'to' as argument 'tol' and not part of
  '...' passed to density().  This problem was solved by placing '...'
  before argument 'tol'.  Thanks Oscar Rueda at the Cancer Reasearch UK
  for reporting on and identifying this bug.


Version: 1.18.3 [2011-02-05]
o DOCUMENTATION: Added paragraphs on how to do affine normalization
  when channel offsets are known/zero.  Same for multiscan calibration
  when scanner offsets are known/zero.
o DOCUMENTATION: Fixed broken links to help for iwpca().


Version: 1.18.2 [2010-10-22]
o DOCUMENTATION: Minor clarifications to the help page on
  "1. Calibration and Normalization".  This page is now also
  referenced in help("calibrateMultiscan").


Version: 1.18.1 [2010-10-18]
o These updates were supposed to be in v1.17.7, but we forgot
  to commit them to the BioC repository before the new BioC release.
o Argument 'censorAt' for fitNaiveGenotypes() has new default.
o BUG FIX: fitNaiveGenotypes(..., subsetToFit=<logical>) would throw
  an exception reporting "Some elements of argument 'subsetToFit' is
  out of range ...".


Version: 1.18.0 [2010-10-18]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.7 for R (>= 2.12.0).


Version: 1.17.6 [2010-10-08]
o Now findPeaksAndValleys() returns a object of class PeaksAndValleys,
  which extends data.frame.


Version: 1.17.5 [2010-10-07]
o Added optional argument 'fit' to callNaiveGenotypes() for passing
  a model fit returned by fitNaiveGenotypes().  If not specified,
  callNaiveGenotypes() will call fitNaiveGenotypes() internally.
o Added fitNaiveGenotypes(), which previously was only internal
  of callNaiveGenotypes().


Version: 1.17.4 [2010-10-06]
o Added findPeaksAndValleys() for the 'density' class, which then
  findPeaksAndValleys() for 'numeric' utilizes.


Version: 1.17.3 [2010-09-18]
o ROBUSTNESS: Now normalizeFragmentLength() asserts that arguments
  'fragmentLengths' and 'y' contain at least some finite values and
  specifies the same number of units.  In addition, the method also
  gives more informative error messages in case it cannot fit the
  normalization function due to non-finite values.


Version: 1.17.2 [2010-08-04]
o Added argument 'preserveScale' to normalizeTumorBoost() to
  rescale the calibrated allele B fractions for heterozygous SNPs
  such that the compression relative to the homozgygotes is
  preserved.


Version: 1.17.1 [2010-07-23]
o Same updates as in release version v1.16.1.


Version: 1.17.0 [2010-04-22]
o The version number was bumped for the Bioconductor devel version.


Version: 1.16.1 [2010-07-23]
o Now callNaiveGenotypes() returns the model estimates as attribute
  'modelFit'.  This feature was supposed to be in v1.16.0.


Version: 1.16.0 [2010-04-22]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.6 for R (>= 2.11.0).


Version: 1.15.4 [2010-04-08]
o R devel assumes ASCII encoding unless specified. Added explicit
  Latin-1 encoding to the DESCRIPTION file to R CMD check to pass.


Version: 1.15.3 [2010-04-04]
o Added normalizeDifferencesToAverage(), normalizeTumorBoost(),
  callNaiveGenotypes() and internal findPeaksAndValleys(),
  which all were moved from the aroma.cn package.


Version: 1.15.2 [2010-03-12]
o BUG FIX: The example of fitPrincipalCurve() used a non-existing
  argument name in the calls to substitute().  Thanks to Brian
  Ripley at University of Oxford for reporting this.


Version: 1.15.1 [2009-11-01]
o Now fitPrincipalCurve() only uses the internal bug-fix patch
  if a version earlier than princurve v1.1-10 is installed.


Version: 1.15.0 [2009-10-27]
o The version number was bumped for the Bioconductor devel version.


Version: 1.14.0 [2009-10-27]
o The version number was bumped for the Bioconductor release version,
  which now is Bioc v2.5 for R (>= 2.10.0).


Version: 1.13.6 [2009-10-20]
o FIX: CITATION file reverted to that of v1.13.4.


Version: 1.13.5 [2009-10-08]
o CITATION file [incorrectly] updated by BioC maintainers.


Version: 1.13.4 [2009-09-23]
o Fixed a few broken Rd links.


Version: 1.13.3 [2009-07-15]
o ADDED: fit- and backtransformXYCurve().
o Added attribute 'processingTime' to the fit object returned
  by fitPrincipalCurve().


Version: 1.13.2 [2009-05-29]
o Incorporating the same updates as in release v1.12.2.


Version: 1.13.1 [2009-05-13]
o Incorporating the same updates as in release v1.12.1.


Version: 1.13.0 [2009-04-20]
o The version number was bumped for the Bioconductor devel version.


Version: 1.12.2 [2009-05-29]
o Replacing old HOWTOCITE with a standard CITATION file.
o BUG FIX: Previous bug fix in backtransformPrincipalCurve() regarding
  argument 'dimension' broke the initial purpose of this argument. Since
  both use cases are still of interest, how the subsetting is done is now
  based on whether the number of dimensions of the input data and the
  model fit match or not. See help and example code for
  'backtransformPrincipalCurve.matrix'.


Version: 1.12.1 [2009-05-13]
o BUG FIX: backtransformPrincipalCurve(..., dimensions) did not subset
  the 'X' matrix. Also, the method now returns a matrix of the same
  number of columns requested.  The Rd example now illustrates this.
  Thanks to Pierre Neuvial, UC Berkeley for the troublshooting and fix.


Version: 1.12.0 [2009-04-20]
o The version number was bumped for the Bioconductor release version.


Version: 1.11.2 [2009-02-08]
o BUG FIX: An error was thrown in backtransformPrincipalCurve()
  when argument 'dimensions' was specified.


Version: 1.11.1 [2009-01-12]
o Added fit- & backtransformPrincipalCurve().


Version: 1.11.0 [2008-10-21]
o The version number was bumped for the Bioconductor devel version.


Version: 1.10.0 [2008-10-21]
o The version number was bumped for the Bioconductor release version.


Version: 1.9.2 [2008-09-11]
o Added argument 'onMissing' to normalizeFragmentLength() for specifying
  how to normalize (if at all) data points for which the fragment lengths
  are unknown.  For backward compatibility, we start off by having it
  "ignore" by default.
o MEMORY OPTIMIZATION: robustSmoothSpline() is now cleaning out
  more variables when no longer needed.


Version: 1.9.1 [2008-05-10]
o Incorporating the same updates as in release v1.8.1.


Version: 1.9.0 [2008-04-29]
o The version number was bumped for the Bioconductor devel version.


Version: 1.8.1 [2008-05-10]
o BUG FIX: If the 'subsetToFit' of normalizeFragmentLength() was
  shorter than the number of data points, an exception was thrown.
  The test was supposed to assert that the subset was not greater
  than the number of data points.


Version: 1.8.0 [2008-04-29]
o The version number was bumped for the Bioconductor release version.


Version: 1.7.2 [2008-04-14]
o Added normalizeFragmentLength().
o Added normalizeQuantileSpline().
o Renamed normalizeQuantile() to normalizeQuantileRank().
o Added plotXYCurve().
o Added predict() for the 'lowess' class.


Version: 1.7.1 [2007-11-28]
o The startup message when loading the package is generated with
  packageStartupMessage() so that it can be suppressed.
o Package now only suggest the R.oo package, and instead depends
  on the new R.methodsS3.
o TYPO: Corrected a spelling error in the help pages.
o Package passes R CMD check R v2.6.1.


Version: 1.7.0 [2007-10-08]
o The version number was bumped for the Bioconductor devel version.


Version: 1.6.0 [2007-10-08]
o The version number was bumped for the Bioconductor release version.


Version: 1.5.2 [2007-08-10]
o Package pass R CMD check R v2.6.0.


Version: 1.5.1 [2007-06-08] (this was mistakenly versioned 1.4.1)
o Added normalizeAverage().
o Package pass R CMD check R v2.6.0 with Rd encoding errors.


Version: 1.5.0 [2007-05-09]
o The version number was bumped for the Bioconductor devel version.


Version: 1.4.0 [2007-05-09]
o The version number was bumped up with the Bioconductor release.


Version: 1.3.1 [2007-01-15]
o Removed code to use 'modreg' for backward compatibility with R < 1.9.0.
o Added R.utils to Suggests field of DESCRIPTION.


Version: 1.3.0 [2006-10-??]
o The devel version number was bumped up with the Bioconductor release.


Version: 1.2.0 [2006-10-03]
o The version number was bumped up with the Bioconductor release.


Version: 1.1.0 [2006-07-20]
o Added to Bioconductor v1.9.
o Added some trial RSP pages. Try browseRsp() in the R.rsp package.


Version: 0.1.7 [2006-06-27]
o Made the package truely standalone except from R.oo.  Previously package
  R.basic was used in some of the examples.


Version: 0.1.6 [2006-05-22]
o Added a namespace for the package.
o Added 'biocViews' since the package will eventually be added
  to the Bioconductor project.
o Added medianPolish() which is much faster than stats::medpolish()
  when there are no NA.
o Added plotDensity() for list of vectors as well as for matrices.
o Added normalizeQuantile() for lists of vectors as well as for a
  single vector of numerics.  To calculate the target quantile there
  is a new function averageQuantile(), which is also for lists of
  vectors.  It latter does not support robust estimatation of the
  average, because it safes memory.
o Updated normalizeQuantile() for matrices according to the updates
  in the limma package.


Version: 0.1.5 [2006-04-21]
o Minor speedup to weightedMedian(), e.g. negative weights do no longer give
  and error, but are treated as zero instead.  This removes some overhead
  of the function.  Also, if it is known that there are no NAs that can be
  specified by na.rm=NA, which will skip NA checks.


Version: 0.1.4 [2006-03-28]
o Updated broken Rd links.
o Updated the references to publications.


Version: 0.1.3 [2006-01-22]
o Added help on the returned parameters of fitIWPCA().
o Now fitIWPCA() does not return the data matrix. This is to save memory.
  The calling algorithm can equally well add the data if it is needed.


Version: 0.1.2 [2005-09-06]
o All plot methods displaying log-ratios now assures that no fake
  log-ratios are calculated due to two negative raw signals.
  Similarily, methods display log-intensities now assures that the
  log-intensities are calculated as doubles to avoid possible
  overflow warnings for too large integers.


Version: 0.1.1 [2005-07-26]
o Added sampleCorrelations() and sampleTuples().
o Now argument 'interpolate' of weightedMedian() defaults to TRUE only
  if 'ties' is NULL.


Version: 0.1.0 [2005-06-03]
o Created. Most of the matrix methods were copied from the R.basic
  and the aroma packages. The purpose of this package is to provide
  a standalone package, which does not require any of the aroma
  classes. This will allow the methods to be used by end users as
  is, or be utilized in other packages.
